Subject: Re: Prefix Delegation questions

From: Ming-Hong Wu <[email-masked]>
Date: Tue, 3 Jan 2012 11:28:33 +0800

Hi all,

    I know Prefix Delegation. I want to know if there is any RFC /
specification said that what protocols should support PD.

    Let's say we have a router supporting 1 WAN and 1 LAN. Suppose the WAN
acquires an prefix (with 64 length) and forms
its WAN IP. LAN-side users still can't access IPv6 Internet, right ?

    As I know, the router must request for another prefix (e.g.
2001:1234:5678::/48) and assign a suitable prefix (e.g.
2001:1234:5678:ABCD::/64)
to its LAN, by using Radvd to advertise this prefix. Then, the LAN-side
users can access IPv6 Internet.

    If above assumption is wrong, please correct me. Otherwise, I want to
make sure, what available methods
can the router use to request the prefix, 2001:1234:5678::/48 ? DHCPv6 is
the only solution ? Any other ?

Sincerely

---

From: Ole Troan <[email-masked]>
Date: Tue, 3 Jan 2012 09:07:10 +0100

>     I know Prefix Delegation. I want to know if there is any RFC / specification said that what protocols should support PD.

RFC3633 / RFC6204.
RFC3633 _is_ a protocol. I don't understand what you mean by "what protocols should support PD".

>     Let's say we have a router supporting 1 WAN and 1 LAN. Suppose the WAN acquires an prefix (with 64 length) and forms

PD delegates a prefix to the LAN-side links, not the WAN side. for the WAN side normal address assignment is used (SLAAC, DHCP).

>     As I know, the router must request for another prefix (e.g. 2001:1234:5678::/48) and assign a suitable prefix (e.g. 2001:1234:5678:ABCD::/64)
> to its LAN, by using Radvd to advertise this prefix. Then, the LAN-side users can access IPv6 Internet.
> 
> 
>     If above assumption is wrong, please correct me. Otherwise, I want to make sure, what available methods
> can the router use to request the prefix, 2001:1234:5678::/48 ? DHCPv6 is the only solution ? Any other ?

yes, your assumption is wrong. corrected.

DHCPv6 (RFC3633) is the only IETF specified protocol mechanism for prefix delegation.
you can possibly do it with TR-69, DOCSIS or manual configuration.

cheers,
Ole

---

From: Ming-Hong Wu <[email-masked]>
Date: Tue, 3 Jan 2012 16:50:17 +0800

First, thanks!

By "what protocols should support PD", I mean, PD sounds like a mechanism:
to delegate a prefix.
Like RFC 3769, I can't make sure how it is achieved.

As you said, RFC 3633 is a protocol, like an extension of DHCPv6 that can
do PD.

Thanks again for your reply and the answer of DHCPv6 is exactly what I want
to confirm :-)
I'm just curious that except DHCPv6, if there is existing any other
protocol for PD implementation.

2012/1/3 Ole Troan <[email-masked]>

> >     Let's say we have a router supporting 1 WAN and 1 LAN. Suppose the
> WAN acquires an prefix (with 64 length) and forms
> PD delegates a prefix to the LAN-side links, not the WAN side. for the WAN
> side normal address assignment is used (SLAAC, DHCP).
>

-- 
Sincerely,
minhong

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 03 Jan 2012 21:16:52 +0100

Le 03/01/2012 09:50, Ming-Hong Wu a écrit :
> First, thanks!
>
> By "what protocols should support PD", I mean, PD sounds like a
> mechanism: to delegate a prefix. Like RFC 3769, I can't make sure how
> it is achieved.
>
> As you said, RFC 3633 is a protocol, like an extension of DHCPv6 that
> can do PD.
>
> Thanks again for your reply and the answer of DHCPv6 is exactly what
>  I want to confirm :-) I'm just curious that except DHCPv6, if there
>  is existing any other protocol for PD implementation.

At IETF talk, often "Prefix Delegation" means precisely DHCPv6-PD
RFC3633 and nothing else.

But still at IETF, there exist other mechanisms which could be used to
"offer" ("delegate", "assign", "allocate", "configure" ?) a prefix to a
Router.  For example, for IPv4 "subnet allocation" is also a DHCP but v4
option (not v6), as discussed in draft-ietf-dhc-subnet-alloc.

There is also a PMIPv6 RFC5213 non-DHCP mechanism which is used by an
LMA entity (Local Mobility Anchor) to assign a Home Network Prefix to a
Mobile Node.  Once assigned, the  MH could do whatever with parts of it,
including use on its ingress interface(s).

Work more or less recent proposes OSPF to do "prefix assignment" in
draft-arkko-homenet-prefix-assignment-01.

Even Router Renumbering RFC2894 can be considered to "assign" prefixes
to links, even if actually it "changes" the prefix of a link into
another prefix.

And then there is also HMIPv6 and maybe some AAA Diameter or EAP option
which may include some prefix to be assigned, not to mention IKEv2 and
more.

Yours,

Alex

>
> 2012/1/3 Ole Troan <[email-masked]
> <mailto:[email-masked]>>
>
>> I know Prefix Delegation. I want to know if there is any RFC
> / specification said that what protocols should support PD.
>
> RFC3633 / RFC6204. RFC3633 _is_ a protocol. I don't understand what
> you mean by "what protocols should support PD".
>
>> Let's say we have a router supporting 1 WAN and 1 LAN.
> Suppose the WAN acquires an prefix (with 64 length) and forms
> PD delegates a prefix to the LAN-side links, not the WAN side. for
> the WAN side normal address assignment is used (SLAAC, DHCP).
>
>> If above assumption is wrong, please correct me. Otherwise, I
> want to make sure, what available methods
>> can the router use to request the prefix, 2001:1234:5678::/48 ?
> DHCPv6 is the only solution ? Any other ?
>
> DHCPv6 (RFC3633) is the only IETF specified protocol mechanism for
> prefix delegation. you can possibly do it with TR-69, DOCSIS or
> manual configuration.
>
> cheers, Ole
>
>
>
>
> -- Sincerely, minhong
>
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------